### Virtual Method

# Devhelp BookList get_books

#### Declaration [src]

    GList*
    get_books (
      DhBookList* book_list
    )

#### Description [src]

Gets the list of `DhBook`‘s part of `book_list`, in no particular order. Each book ID in the list is unique (see dh_book_get_id()).

Available since: | 3.30

#### Return value

Returns: | A list of `DhBook*`
| The `GList` of `DhBook`‘s part of `book_list`.
| The data is owned by the called function.